/// <reference types="node" />
import { EventEmitter } from 'events';
import { TestSessionManager } from './TestSessionManager';
import { TestSession } from './TestSession';
import { TestRunnerConfig } from './TestRunnerConfig';
import { BrowserLauncher } from './BrowserLauncher';
export declare class TestScheduler extends EventEmitter {
    private config;
    private browsers;
    private manager;
    constructor(config: TestRunnerConfig, browsers: BrowserLauncher[], manager: TestSessionManager);
    schedule(testRun: number, sessions: TestSession[]): Promise<(void | undefined)[] | undefined>;
    runScheduled(testRun: number): Promise<(void | undefined)[] | undefined>;
    private runSession;
    private setSessionTimedout;
}
