import { CoverageSummaryData } from 'istanbul-lib-coverage';
import { TestRunnerConfig, CoverageThresholdConfig } from '../TestRunnerConfig';
import { TestProgressArgs } from './getTestProgressReport';
import { TestSession } from '../TestSession';
import { Terminal } from './Terminal';
export declare class TestReporter {
    private terminal;
    private reportedFilesByTestRun;
    constructor(terminal: Terminal);
    reportTestRunStart(testRun: number, allBrowserNames: string[], favoriteBrowser: string, sessionsByTestFile: Map<string, TestSession[]>, scheduledSessions: Set<string>, runningSessions: Set<string>, serverAddress: string): void;
    reportTestCoverage(coverageData: CoverageSummaryData, passedCoverage: boolean, coverageThreshold?: CoverageThresholdConfig): void;
    reportTestFileResults(testRun: number, testFile: string, allBrowserNames: string[], favoriteBrowser: string, sessionsForTestFile: TestSession[], serverAddress: string): void;
    reportSessionErrors(failedSessions: Map<string, TestSession>, serverAddress: string): void;
    reportTestProgress(config: TestRunnerConfig, args: TestProgressArgs): void;
    reportEnd(): void;
}
