"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSessionErrorsReport = void 0;
const chalk_1 = __importDefault(require("chalk"));
const getFileErrorsReport_1 = require("./getFileErrorsReport");
function getSessionErrorsReport(failedSessionsMap, serverAddress) {
    const entries = [];
    const failedSessions = Array.from(failedSessionsMap.values());
    if (failedSessions.some((s) => s.result.error)) {
        for (const session of failedSessions) {
            if (session.result.error) {
                entries.push(`${chalk_1.default.underline(session.testFile)}:`);
                entries.push({ text: `Error on ${session.browserName}:`, indent: 2 });
                entries.push({ text: getFileErrorsReport_1.renderError(session.result.error, serverAddress), indent: 4 });
            }
        }
        entries.push('');
    }
    return entries;
}
exports.getSessionErrorsReport = getSessionErrorsReport;
//# sourceMappingURL=getSessionErrorsReport.js.map