"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTestFileReport = void 0;
const getFileErrorsReport_1 = require("./getFileErrorsReport");
const getBrowserLogsReport_1 = require("./getBrowserLogsReport");
const getRequest404sReport_1 = require("./getRequest404sReport");
const chalk_1 = __importDefault(require("chalk"));
function getTestFileReport(testFile, allBrowserNames, favoriteBrowser, serverAddress, sessionsForTestFile) {
    const failedSessions = sessionsForTestFile.filter((s) => !s.result.passed);
    const entries = [];
    if (failedSessions.length > 0) {
        entries.push(...getFileErrorsReport_1.getFileErrorsReport(testFile, allBrowserNames, favoriteBrowser, serverAddress, failedSessions));
    }
    entries.push(...getBrowserLogsReport_1.getBrowserLogsReport(testFile, sessionsForTestFile));
    entries.push(...getRequest404sReport_1.getRequest404sReport(testFile, sessionsForTestFile));
    if (entries.length > 0) {
        entries.unshift(`${chalk_1.default.underline(testFile)}:`);
    }
    return entries;
}
exports.getTestFileReport = getTestFileReport;
//# sourceMappingURL=getTestFileReport.js.map